<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# strings

```text
usage: strings [-h] [-n N] [--save-as SAVE_AS] [page_names ...]

```

Extracts and displays ASCII strings from readable memory pages of the debugged process.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|page_names|Mapping to search [e.g. libc]. Can be used with multiple mappings [e.g libc heap stack] (default: '[]')|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-n||Minimum length of ASCII strings to include (default: 4)|
||--save-as|Sets the filename for the output of this command [e.g. --save-as='out.txt']|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
